GNU bug report logs - #6372
24.0.50; C-mouse-1 activates region

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: "Drew Adams" <drew.adams@HIDDEN>; Keywords: help confirmed; dated Mon, 7 Jun 2010 17:22:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug Marked as found in versions 25.0.95. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
bug Marked as found in versions 24.1. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
bug No longer marked as found in versions 25.0.95. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
bug reassigned from package 'emacs,w32' to 'emacs'. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
bug Marked as found in versions 25.0.95. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Severity set to 'minor' from 'normal' Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
bug No longer marked as found in versions 24.0.50 and 24.1. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
bug reassigned from package 'emacs' to 'emacs,w32'. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) help and confirmed. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 6372 <at> debbugs.gnu.org:


Received: (at 6372) by debbugs.gnu.org; 19 Oct 2012 15:05:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 19 11:05:10 2012
Received: from localhost ([127.0.0.1]:51840 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TPE8L-0008Hr-BI
	for submit <at> debbugs.gnu.org; Fri, 19 Oct 2012 11:05:09 -0400
Received: from acsinet15.oracle.com ([141.146.126.227]:24989)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <drew.adams@HIDDEN>) id 1TPE8I-0008HR-R4
	for 6372 <at> debbugs.gnu.org; Fri, 19 Oct 2012 11:05:07 -0400
Received: from ucsinet21.oracle.com (ucsinet21.oracle.com [156.151.31.93])
	by acsinet15.oracle.com (Sentrion-MTA-4.2.2/Sentrion-MTA-4.2.2) with
	ESMTP id q9JF3RpD012380
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
	Fri, 19 Oct 2012 15:03:29 GMT
Received: from acsmt357.oracle.com (acsmt357.oracle.com [141.146.40.157])
	by ucsinet21.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id
	q9JF3Q5F023820
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO);
	Fri, 19 Oct 2012 15:03:26 GMT
Received: from abhmt107.oracle.com (abhmt107.oracle.com [141.146.116.59])
	by acsmt357.oracle.com (8.12.11.20060308/8.12.11) with ESMTP id
	q9JF3PGf005551; Fri, 19 Oct 2012 10:03:25 -0500
Received: from dradamslap1 (/10.159.217.151)
	by default (Oracle Beehive Gateway v4.0)
	with ESMTP ; Fri, 19 Oct 2012 08:03:25 -0700
From: "Drew Adams" <drew.adams@HIDDEN>
To: "'Chong Yidong'" <cyd@HIDDEN>
References: <B10C013621504F2293AC68C8CA31CA37@HIDDEN><87liiujrpd.fsf@HIDDEN><8F41724E359B445C81DDA030FDFC18C6@HIDDEN><83hatiktul.fsf@HIDDEN><87r4sltury.fsf@HIDDEN><83mx2t733l.fsf@HIDDEN><DA1627F9EA3F488EBBB56344E874ECE7@HIDDEN>
	<EACAFB73199C4F6597FC23CBF818ABDE@HIDDEN>
Subject: RE: bug#6372: 24.0.50; C-mouse-1 activates region
Date: Fri, 19 Oct 2012 08:02:58 -0700
Message-ID: <40834B1EC92B414BB97567592ABABD55@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
	charset="us-ascii"
Content-Transfer-Encoding: 7bit
X-Mailer: Microsoft Office Outlook 11
In-Reply-To: <EACAFB73199C4F6597FC23CBF818ABDE@HIDDEN>
Thread-Index: Ac1nNdzcOEqfq24vQyuwFIIRFa/6lQOXyVowB7OyUZAGab+o0A==
X-MimeOLE: Produced By Microsoft MimeOLE V6.00.2900.6157
X-Source-IP: ucsinet21.oracle.com [156.151.31.93]
X-Spam-Score: -4.6 (----)
X-Debbugs-Envelope-To: 6372
Cc: 6372 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.6 (----)

ping





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#6372; Package emacs. Full text available.

Message received at 6372 <at> debbugs.gnu.org:


Received: (at 6372) by debbugs.gnu.org; 16 Sep 2012 23:36:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 16 19:36:03 2012
Received: from localhost ([127.0.0.1]:37656 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TDONf-0005RB-38
	for submit <at> debbugs.gnu.org; Sun, 16 Sep 2012 19:36:03 -0400
Received: from acsinet15.oracle.com ([141.146.126.227]:31051)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <drew.adams@HIDDEN>) id 1TDONd-0005Qj-Ls
	for 6372 <at> debbugs.gnu.org; Sun, 16 Sep 2012 19:36:02 -0400
Received: from ucsinet21.oracle.com (ucsinet21.oracle.com [156.151.31.93])
	by acsinet15.oracle.com (Sentrion-MTA-4.2.2/Sentrion-MTA-4.2.2) with
	ESMTP id q8GNYmD0019118
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
	Sun, 16 Sep 2012 23:34:49 GMT
Received: from acsmt357.oracle.com (acsmt357.oracle.com [141.146.40.157])
	by ucsinet21.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id
	q8GNYlJ5029025
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO);
	Sun, 16 Sep 2012 23:34:47 GMT
Received: from abhmt115.oracle.com (abhmt115.oracle.com [141.146.116.67])
	by acsmt357.oracle.com (8.12.11.20060308/8.12.11) with ESMTP id
	q8GNYlw5004260; Sun, 16 Sep 2012 18:34:47 -0500
Received: from dradamslap1 (/10.159.170.142)
	by default (Oracle Beehive Gateway v4.0)
	with ESMTP ; Sun, 16 Sep 2012 16:34:46 -0700
From: "Drew Adams" <drew.adams@HIDDEN>
To: "'Chong Yidong'" <cyd@HIDDEN>
References: <B10C013621504F2293AC68C8CA31CA37@HIDDEN><87liiujrpd.fsf@HIDDEN><8F41724E359B445C81DDA030FDFC18C6@HIDDEN><83hatiktul.fsf@HIDDEN>
	<87r4sltury.fsf@HIDDEN><83mx2t733l.fsf@HIDDEN>
	<DA1627F9EA3F488EBBB56344E874ECE7@HIDDEN>
Subject: RE: bug#6372: 24.0.50; C-mouse-1 activates region
Date: Sun, 16 Sep 2012 16:34:36 -0700
Message-ID: <EACAFB73199C4F6597FC23CBF818ABDE@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
	charset="us-ascii"
Content-Transfer-Encoding: 7bit
X-Mailer: Microsoft Office Outlook 11
In-Reply-To: <DA1627F9EA3F488EBBB56344E874ECE7@HIDDEN>
Thread-Index: Ac1nNdzcOEqfq24vQyuwFIIRFa/6lQOXyVowB7OyUZA=
X-MimeOLE: Produced By Microsoft MimeOLE V6.00.2900.6157
X-Source-IP: ucsinet21.oracle.com [156.151.31.93]
X-Spam-Score: -7.4 (-------)
X-Debbugs-Envelope-To: 6372
Cc: 6372 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -7.4 (-------)

ping





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#6372; Package emacs. Full text available.

Message received at 6372 <at> debbugs.gnu.org:


Received: (at 6372) by debbugs.gnu.org; 8 Aug 2012 18:47:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 08 14:47:32 2012
Received: from localhost ([127.0.0.1]:42817 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SzBI3-0006nn-Mf
	for submit <at> debbugs.gnu.org; Wed, 08 Aug 2012 14:47:32 -0400
Received: from acsinet15.oracle.com ([141.146.126.227]:32930)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <drew.adams@HIDDEN>) id 1SzBI0-0006ne-Bj
	for 6372 <at> debbugs.gnu.org; Wed, 08 Aug 2012 14:47:29 -0400
Received: from ucsinet21.oracle.com (ucsinet21.oracle.com [156.151.31.93])
	by acsinet15.oracle.com (Sentrion-MTA-4.2.2/Sentrion-MTA-4.2.2) with
	ESMTP id q78IdJ5J025147
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
	Wed, 8 Aug 2012 18:39:20 GMT
Received: from acsmt356.oracle.com (acsmt356.oracle.com [141.146.40.156])
	by ucsinet21.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id
	q78IdJQq007186
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO);
	Wed, 8 Aug 2012 18:39:19 GMT
Received: from abhmt116.oracle.com (abhmt116.oracle.com [141.146.116.68])
	by acsmt356.oracle.com (8.12.11.20060308/8.12.11) with ESMTP id
	q78IdItc026201; Wed, 8 Aug 2012 13:39:18 -0500
Received: from dradamslap1 (/130.35.178.248)
	by default (Oracle Beehive Gateway v4.0)
	with ESMTP ; Wed, 08 Aug 2012 11:39:18 -0700
From: "Drew Adams" <drew.adams@HIDDEN>
To: "'Eli Zaretskii'" <eliz@HIDDEN>, "'Chong Yidong'" <cyd@HIDDEN>
References: <B10C013621504F2293AC68C8CA31CA37@HIDDEN>
	<87liiujrpd.fsf@HIDDEN>
	<8F41724E359B445C81DDA030FDFC18C6@HIDDEN>
	<83hatiktul.fsf@HIDDEN> <87r4sltury.fsf@HIDDEN>
	<83mx2t733l.fsf@HIDDEN>
Subject: RE: bug#6372: 24.0.50; C-mouse-1 activates region
Date: Wed, 8 Aug 2012 11:39:17 -0700
Message-ID: <DA1627F9EA3F488EBBB56344E874ECE7@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
	charset="us-ascii"
Content-Transfer-Encoding: 7bit
X-Mailer: Microsoft Office Outlook 11
Thread-Index: Ac1nNdzcOEqfq24vQyuwFIIRFa/6lQOXyVow
X-MimeOLE: Produced By Microsoft MimeOLE V6.00.2900.6157
In-Reply-To: <83mx2t733l.fsf@HIDDEN>
X-Source-IP: ucsinet21.oracle.com [156.151.31.93]
X-Spam-Score: -6.9 (------)
X-Debbugs-Envelope-To: 6372
Cc: 6372 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.9 (------)

ping.

> From: Eli Zaretskii Sent: Saturday, July 21, 2012 4:42 AM
> I'm sorry, but it will take someone who knows more than I do about
> MS-Windows messages and their processing to fix this one.  I describe
> my findings below in the hope that someone will pick up where I left
> off.
> 
> We track mouse events during pop-up menu by sending the
> WM_EMACS_TRACKPOPUPMENU message to the Emacs message pump.  This
> message is handled by w32_wnd_proc around line 3770 of w32fns.c.
> There, we call TrackPopupMenu, a Windows API that displays the menu
> and returns the user selection of menu items.  After TrackPopupMenu
> returns, we remove any mouse events still in the message queue, by
> calling PeekMessage with appropriate arguments, and return the user
> selection to our caller, which is w32_menu_show.  The user selection
> returned is zero when the user closes the menu without selecting any
> item, by clicking outside the menu.  w32_menu_show then removes any
> mouse events in the Emacs event queue by calling discard_mouse_events.
> 
> What happens in this case, and is the reason for the bug, is that
> somehow the mouse click event that pops down the menu is not delivered
> to Emacs until _after_ w32_menu_show returns.  That click is not
> removed by PeekMessage mentioned above, and is not discarded by
> discard_mouse_events.  It is read by w32_wnd_proc only after all of
> the above processing is complete, and any memory of the menu that was
> popped down is gone.  So Emacs processes that mouse click as a normal
> event, oblivious to the fact that it actually happened as part of the
> menu.
> 
> What I don't understand here is why that mouse click is not delivered
> when we call PeekMessage, so that it could be discarded.  It's as if
> Windows withholds that message from being put into the Emacs message
> queue.  Why is that, and what can we do to be able to peek at that
> click message as part of menu processing and discard it, is beyond me.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#6372; Package emacs. Full text available.

Message received at 6372 <at> debbugs.gnu.org:


Received: (at 6372) by debbugs.gnu.org; 21 Jul 2012 11:48:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jul 21 07:48:32 2012
Received: from localhost ([127.0.0.1]:54192 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SsYAi-00046R-El
	for submit <at> debbugs.gnu.org; Sat, 21 Jul 2012 07:48:32 -0400
Received: from mtaout22.012.net.il ([80.179.55.172]:42799)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <eliz@HIDDEN>) id 1SsYAg-00046I-0t
	for 6372 <at> debbugs.gnu.org; Sat, 21 Jul 2012 07:48:31 -0400
Received: from conversion-daemon.a-mtaout22.012.net.il by
	a-mtaout22.012.net.il (HyperSendmail v2007.08) id
	<0M7I00B00DQNZV00@HIDDEN> for
	6372 <at> debbugs.gnu.org; Sat, 21 Jul 2012 14:42:05 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.210.75]) by a-mtaout22.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0M7I00B5HDU3PV70@HIDDEN>;
	Sat, 21 Jul 2012 14:42:04 +0300 (IDT)
Date: Sat, 21 Jul 2012 14:42:06 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#6372: 24.0.50; C-mouse-1 activates region
In-reply-to: <87r4sltury.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Chong Yidong <cyd@HIDDEN>
Message-id: <83mx2t733l.fsf@HIDDEN>
References: <B10C013621504F2293AC68C8CA31CA37@HIDDEN>
	<87liiujrpd.fsf@HIDDEN>
	<8F41724E359B445C81DDA030FDFC18C6@HIDDEN>
	<83hatiktul.fsf@HIDDEN> <87r4sltury.fsf@HIDDEN>
X-Spam-Score: -1.2 (-)
X-Debbugs-Envelope-To: 6372
Cc: 6372 <at> debbugs.gnu.org, drew.adams@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.2 (-)

> From: Chong Yidong <cyd@HIDDEN>
> Cc: Drew Adams <drew.adams@HIDDEN>,  6372 <at> debbugs.gnu.org
> Date: Mon, 09 Jul 2012 12:37:05 +0800
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> > Indeed.  After the recipe, "C-h l" shows this:
> >
> >   <C-down-mouse-1> <drag-mouse-1> C-h l
> >
> > What do you see on GNU/Linux?  Which toolkit(s) did you try it with?
> >
> > FWIW, in the MSDOS build the problem doesn't happen, and view-lossage
> > shows just this:
> >
> >   <C-down-mouse-1> C-h l
> >
> > Any clue where could drag-mouse-1 come from?  I guess we don't discard
> > some events that we should.
> 
> On GNU/Linux (both GTK build and Lucid build) I see
> 
>   <C-down-mouse-1> C-h l

Thanks.

I'm sorry, but it will take someone who knows more than I do about
MS-Windows messages and their processing to fix this one.  I describe
my findings below in the hope that someone will pick up where I left
off.

We track mouse events during pop-up menu by sending the
WM_EMACS_TRACKPOPUPMENU message to the Emacs message pump.  This
message is handled by w32_wnd_proc around line 3770 of w32fns.c.
There, we call TrackPopupMenu, a Windows API that displays the menu
and returns the user selection of menu items.  After TrackPopupMenu
returns, we remove any mouse events still in the message queue, by
calling PeekMessage with appropriate arguments, and return the user
selection to our caller, which is w32_menu_show.  The user selection
returned is zero when the user closes the menu without selecting any
item, by clicking outside the menu.  w32_menu_show then removes any
mouse events in the Emacs event queue by calling discard_mouse_events.

What happens in this case, and is the reason for the bug, is that
somehow the mouse click event that pops down the menu is not delivered
to Emacs until _after_ w32_menu_show returns.  That click is not
removed by PeekMessage mentioned above, and is not discarded by
discard_mouse_events.  It is read by w32_wnd_proc only after all of
the above processing is complete, and any memory of the menu that was
popped down is gone.  So Emacs processes that mouse click as a normal
event, oblivious to the fact that it actually happened as part of the
menu.

What I don't understand here is why that mouse click is not delivered
when we call PeekMessage, so that it could be discarded.  It's as if
Windows withholds that message from being put into the Emacs message
queue.  Why is that, and what can we do to be able to peek at that
click message as part of menu processing and discard it, is beyond me.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#6372; Package emacs. Full text available.

Message received at 6372 <at> debbugs.gnu.org:


Received: (at 6372) by debbugs.gnu.org; 9 Jul 2012 04:42:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 09 00:42:30 2012
Received: from localhost ([127.0.0.1]:57263 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1So5np-0004gJ-G7
	for submit <at> debbugs.gnu.org; Mon, 09 Jul 2012 00:42:29 -0400
Received: from fencepost.gnu.org ([208.118.235.10]:46716)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <cyd@HIDDEN>) id 1So5nm-0004gB-0j
	for 6372 <at> debbugs.gnu.org; Mon, 09 Jul 2012 00:42:28 -0400
Received: from [155.69.17.56] (port=49523 helo=ulysses)
	by fencepost.gnu.org with esmtpsa (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
	(Exim 4.71) (envelope-from <cyd@HIDDEN>)
	id 1So5ig-0003YQ-9r; Mon, 09 Jul 2012 00:37:10 -0400
From: Chong Yidong <cyd@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#6372: 24.0.50; C-mouse-1 activates region
References: <B10C013621504F2293AC68C8CA31CA37@HIDDEN>
	<87liiujrpd.fsf@HIDDEN>
	<8F41724E359B445C81DDA030FDFC18C6@HIDDEN>
	<83hatiktul.fsf@HIDDEN>
Date: Mon, 09 Jul 2012 12:37:05 +0800
In-Reply-To: <83hatiktul.fsf@HIDDEN> (Eli Zaretskii's message of "Sun, 08 Jul
	2012 21:09:38 +0300")
Message-ID: <87r4sltury.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -6.9 (------)
X-Debbugs-Envelope-To: 6372
Cc: 6372 <at> debbugs.gnu.org, Drew Adams <drew.adams@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.9 (------)

Eli Zaretskii <eliz@HIDDEN> writes:

> Indeed.  After the recipe, "C-h l" shows this:
>
>   <C-down-mouse-1> <drag-mouse-1> C-h l
>
> What do you see on GNU/Linux?  Which toolkit(s) did you try it with?
>
> FWIW, in the MSDOS build the problem doesn't happen, and view-lossage
> shows just this:
>
>   <C-down-mouse-1> C-h l
>
> Any clue where could drag-mouse-1 come from?  I guess we don't discard
> some events that we should.

On GNU/Linux (both GTK build and Lucid build) I see

  <C-down-mouse-1> C-h l




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#6372; Package emacs. Full text available.

Message received at 6372 <at> debbugs.gnu.org:


Received: (at 6372) by debbugs.gnu.org; 8 Jul 2012 18:15:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 08 14:15:04 2012
Received: from localhost ([127.0.0.1]:56962 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Snw0d-0007oL-OF
	for submit <at> debbugs.gnu.org; Sun, 08 Jul 2012 14:15:03 -0400
Received: from mtaout20.012.net.il ([80.179.55.166]:53708)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <eliz@HIDDEN>) id 1Snw0b-0007nh-FJ
	for 6372 <at> debbugs.gnu.org; Sun, 08 Jul 2012 14:15:02 -0400
Received: from conversion-daemon.a-mtaout20.012.net.il by
	a-mtaout20.012.net.il (HyperSendmail v2007.08) id
	<0M6U00J00T1P2G00@HIDDEN> for
	6372 <at> debbugs.gnu.org; Sun, 08 Jul 2012 21:09:49 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.210.75]) by a-mtaout20.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0M6U00IZMT4CNK90@HIDDEN>;
	Sun, 08 Jul 2012 21:09:49 +0300 (IDT)
Date: Sun, 08 Jul 2012 21:09:38 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#6372: 24.0.50; C-mouse-1 activates region
In-reply-to: <8F41724E359B445C81DDA030FDFC18C6@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Drew Adams <drew.adams@HIDDEN>
Message-id: <83hatiktul.fsf@HIDDEN>
References: <B10C013621504F2293AC68C8CA31CA37@HIDDEN>
	<87liiujrpd.fsf@HIDDEN>
	<8F41724E359B445C81DDA030FDFC18C6@HIDDEN>
X-Spam-Score: -1.2 (-)
X-Debbugs-Envelope-To: 6372
Cc: 6372 <at> debbugs.gnu.org, cyd@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.2 (-)

> From: "Drew Adams" <drew.adams@HIDDEN>
> Date: Sun, 8 Jul 2012 10:18:40 -0700
> Cc: 6372 <at> debbugs.gnu.org
> 
> > "Drew Adams" <drew.adams@HIDDEN> writes:
> > 
> > > 1. Click C-mouse-1. The Buffer Menu opens.
> > >  
> > > 2. Click mouse-1 outside the menu. The menu disappears, which is
> > > correct.
> > >  
> > > But the region is activated, which is incorrect.  Clicking 
> > > mouse-1 here should simply set point, without activating the region.
> > 
> > FWIW, this is not reproducible on GNU/Linux.  Maybe a Windows-only
> > issue; can someone with access to Windows check if this still happens?
> 
> Yes, the bug is still there.

Indeed.  After the recipe, "C-h l" shows this:

  <C-down-mouse-1> <drag-mouse-1> C-h l

What do you see on GNU/Linux?  Which toolkit(s) did you try it with?

FWIW, in the MSDOS build the problem doesn't happen, and view-lossage
shows just this:

  <C-down-mouse-1> C-h l

Any clue where could drag-mouse-1 come from?  I guess we don't discard
some events that we should.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#6372; Package emacs. Full text available.

Message received at 6372 <at> debbugs.gnu.org:


Received: (at 6372) by debbugs.gnu.org; 8 Jul 2012 17:24:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 08 13:24:11 2012
Received: from localhost ([127.0.0.1]:56951 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SnvDO-0006VB-6i
	for submit <at> debbugs.gnu.org; Sun, 08 Jul 2012 13:24:11 -0400
Received: from acsinet15.oracle.com ([141.146.126.227]:32998)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <drew.adams@HIDDEN>) id 1SnvDM-0006V2-1B
	for 6372 <at> debbugs.gnu.org; Sun, 08 Jul 2012 13:24:08 -0400
Received: from ucsinet21.oracle.com (ucsinet21.oracle.com [156.151.31.93])
	by acsinet15.oracle.com (Sentrion-MTA-4.2.2/Sentrion-MTA-4.2.2) with
	ESMTP id q68HIsae010765
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
	Sun, 8 Jul 2012 17:18:55 GMT
Received: from acsmt358.oracle.com (acsmt358.oracle.com [141.146.40.158])
	by ucsinet21.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id
	q68HIraX023078
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO);
	Sun, 8 Jul 2012 17:18:54 GMT
Received: from abhmt118.oracle.com (abhmt118.oracle.com [141.146.116.70])
	by acsmt358.oracle.com (8.12.11.20060308/8.12.11) with ESMTP id
	q68HIrtY026001; Sun, 8 Jul 2012 12:18:53 -0500
Received: from dradamslap1 (/10.159.186.64)
	by default (Oracle Beehive Gateway v4.0)
	with ESMTP ; Sun, 08 Jul 2012 10:18:53 -0700
From: "Drew Adams" <drew.adams@HIDDEN>
To: "'Chong Yidong'" <cyd@HIDDEN>
References: <B10C013621504F2293AC68C8CA31CA37@HIDDEN>
	<87liiujrpd.fsf@HIDDEN>
Subject: RE: bug#6372: 24.0.50; C-mouse-1 activates region
Date: Sun, 8 Jul 2012 10:18:40 -0700
Message-ID: <8F41724E359B445C81DDA030FDFC18C6@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
	charset="US-ASCII"
Content-Transfer-Encoding: 7bit
X-Mailer: Microsoft Office Outlook 11
In-Reply-To: <87liiujrpd.fsf@HIDDEN>
Thread-Index: Ac1dD1/+Xz31XR0tTb+cqbxZj1E8mgAHeCTA
X-MimeOLE: Produced By Microsoft MimeOLE V6.00.2900.6157
X-Source-IP: ucsinet21.oracle.com [156.151.31.93]
X-Spam-Score: -6.9 (------)
X-Debbugs-Envelope-To: 6372
Cc: 6372 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.9 (------)

> "Drew Adams" <drew.adams@HIDDEN> writes:
> 
> > 1. Click C-mouse-1. The Buffer Menu opens.
> >  
> > 2. Click mouse-1 outside the menu. The menu disappears, which is
> > correct.
> >  
> > But the region is activated, which is incorrect.  Clicking 
> > mouse-1 here should simply set point, without activating the region.
> 
> FWIW, this is not reproducible on GNU/Linux.  Maybe a Windows-only
> issue; can someone with access to Windows check if this still happens?

Yes, the bug is still there.

I just checked in this build:

In GNU Emacs 24.1.50.1 (i386-mingw-nt5.1.2600)
 of 2012-07-01 on MARVIN
Bzr revision: 108826 yamaoka@HIDDEN
Windowing system distributor `Microsoft Corp.', version 5.1.2600
Configured using:
 `configure --with-gcc (4.6) --no-opt --enable-checking --cflags
 -ID:/devel/emacs/libs/libXpm-3.5.8/include
 -ID:/devel/emacs/libs/libXpm-3.5.8/src
 -ID:/devel/emacs/libs/libpng-dev_1.4.3-1/include
 -ID:/devel/emacs/libs/zlib-dev_1.2.5-2/include
 -ID:/devel/emacs/libs/giflib-4.1.4-1/include
 -ID:/devel/emacs/libs/jpeg-6b-4/include
 -ID:/devel/emacs/libs/tiff-3.8.2-1/include
 -ID:/devel/emacs/libs/gnutls-3.0.9/include
 -ID:/devel/emacs/libs/libiconv-1.13.1-1-dev/include
 -ID:/devel/emacs/libs/libxml2-2.7.8/include/libxml2'

emacs -Q

`C-mouse-1'

Move mouse outside the popped up menu, and so that some text is between the
first click and the next.

`mouse-1'

The text between the first and second clicks is selected (active region).

Thx.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#6372; Package emacs. Full text available.

Message received at 6372 <at> debbugs.gnu.org:


Received: (at 6372) by debbugs.gnu.org; 8 Jul 2012 15:05:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 08 11:05:51 2012
Received: from localhost ([127.0.0.1]:56779 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Snt3V-00039h-JK
	for submit <at> debbugs.gnu.org; Sun, 08 Jul 2012 11:05:51 -0400
Received: from forward20.mail.yandex.net ([95.108.253.145]:42945)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <dgutov@HIDDEN>) id 1Snt3Q-00039X-H4
	for 6372 <at> debbugs.gnu.org; Sun, 08 Jul 2012 11:05:48 -0400
Received: from smtp19.mail.yandex.net (smtp19.mail.yandex.net [95.108.252.19])
	by forward20.mail.yandex.net (Yandex) with ESMTP id 1CC6F10410C3;
	Sun,  8 Jul 2012 19:00:21 +0400 (MSK)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yandex.ru; s=mail;
	t=1341759621; bh=jjIaq4iI55gAreqfpuMo7xYHyfAInLPqLC3+v0XzoSU=;
	h=Message-ID:Date:From:MIME-Version:To:CC:Subject:Content-Type:
	Content-Transfer-Encoding;
	b=ghSzBEEBjXLUOfijuf9ApygSqyIRNa10c02Y9by4wHER+XhWZvksBLRXkB/UcVw8t
	wdE0X0bDKga9JRAMYXTrViIE/YRGvJk6wXkXV9J276TTYile51Xm0ywhj5DDgq4bi7
	jX25yJuG1fcZOraMiKcfgc9gakP8Om4xIpqVvKgc=
Received: from smtp19.mail.yandex.net (localhost [127.0.0.1])
	by smtp19.mail.yandex.net (Yandex) with ESMTP id E03C4BE04AE;
	Sun,  8 Jul 2012 19:00:20 +0400 (MSK)
Received: from 98-87.nwlink.spb.ru (98-87.nwlink.spb.ru [178.252.98.87])
	by smtp19.mail.yandex.net (nwsmtp/Yandex) with ESMTP id
	0BmiGh8c-0BmWKX6a; Sun,  8 Jul 2012 19:00:11 +0400
X-Yandex-Rcpt-Suid: cyd@HIDDEN
X-Yandex-Rcpt-Suid: drew.adams@HIDDEN
X-Yandex-Rcpt-Suid: 6372 <at> debbugs.gnu.org
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yandex.ru; s=mail;
	t=1341759620; bh=jjIaq4iI55gAreqfpuMo7xYHyfAInLPqLC3+v0XzoSU=;
	h=Message-ID:Date:From:User-Agent:MIME-Version:To:CC:Subject:
	Content-Type:Content-Transfer-Encoding;
	b=vmxJ4nNMGGoR0pmwNaM1Vg1oIYsLyVtJXncnTn4/A/VczxkJ/mbHe3gAOv8rH3hMT
	Zip8va68o6MjOfcShRphVXAhr6tVfjWsFzHmo47DWUMZcNIwKtGjCi378AiocORX+s
	xDqxldKVYwKKKyjxvsAiVjVuJtsYfwC4mtwjAJlE=
Message-ID: <4FF9A07D.2060505@HIDDEN>
Date: Sun, 08 Jul 2012 19:00:13 +0400
From: Dmitry Gutov <dgutov@HIDDEN>
User-Agent: Mozilla/5.0 (Windows NT 6.1; WOW64;
	rv:13.0) Gecko/20120614 Thunderbird/13.0.1
MIME-Version: 1.0
To: cyd@HIDDEN
Subject: Re: bug#6372: 24.0.50; C-mouse-1 activates region
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -1.9 (-)
X-Debbugs-Envelope-To: 6372
Cc: 6372 <at> debbugs.gnu.org, drew.adams@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

Chong Yidong <cyd@HIDDEN> writes:

 > "Drew Adams" <drew.adams@HIDDEN> writes:
 >
 >> 1. Click C-mouse-1. The Buffer Menu opens.
 >>
 >> 2. Click mouse-1 outside the menu. The menu disappears, which is
 >> correct.
 >>
 >> But the region is activated, which is incorrect.  Clicking mouse-1 here
 >> should simply set point, without activating the region.
 >
 > FWIW, this is not reproducible on GNU/Linux.  Maybe a Windows-only
 > issue; can someone with access to Windows check if this still happens?

It does happen.

And if I ctrl-click mouse-1 when the menu if open, minibuffer says
"<C-drag-mouse-1> is undefined", so looks like doing mouse-1 click when
the menu is open is registered as drag-mouse-1 event.
(I tried it in Ubuntu on an older Emacs 24 build, and that didn't happen
either).

In GNU Emacs 24.1.50.1 (i386-mingw-nt6.1.7601) of 2012-07-06.

--Dmitry




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#6372; Package emacs. Full text available.

Message received at 6372 <at> debbugs.gnu.org:


Received: (at 6372) by debbugs.gnu.org; 8 Jul 2012 13:46:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 08 09:46:37 2012
Received: from localhost ([127.0.0.1]:56150 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Snror-0000Pa-Fg
	for submit <at> debbugs.gnu.org; Sun, 08 Jul 2012 09:46:37 -0400
Received: from fencepost.gnu.org ([208.118.235.10]:35637)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <cyd@HIDDEN>) id 1Snroo-0000PS-Nq
	for 6372 <at> debbugs.gnu.org; Sun, 08 Jul 2012 09:46:35 -0400
Received: from cm162.gamma80.maxonline.com.sg ([202.156.80.162]:55067
	helo=ulysses)
	by fencepost.gnu.org with esmtpsa (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
	(Exim 4.71) (envelope-from <cyd@HIDDEN>)
	id 1Snrjm-0001bn-Vh; Sun, 08 Jul 2012 09:41:24 -0400
From: Chong Yidong <cyd@HIDDEN>
To: "Drew Adams" <drew.adams@HIDDEN>
Subject: Re: bug#6372: 24.0.50; C-mouse-1 activates region
References: <B10C013621504F2293AC68C8CA31CA37@HIDDEN>
Date: Sun, 08 Jul 2012 21:41:18 +0800
In-Reply-To: <B10C013621504F2293AC68C8CA31CA37@HIDDEN> (Drew Adams's
	message of "Mon, 7 Jun 2010 10:19:44 -0700")
Message-ID: <87liiujrpd.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -6.9 (------)
X-Debbugs-Envelope-To: 6372
Cc: 6372 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.9 (------)

"Drew Adams" <drew.adams@HIDDEN> writes:

> 1. Click C-mouse-1. The Buffer Menu opens.
>  
> 2. Click mouse-1 outside the menu. The menu disappears, which is
> correct.
>  
> But the region is activated, which is incorrect.  Clicking mouse-1 here
> should simply set point, without activating the region.

FWIW, this is not reproducible on GNU/Linux.  Maybe a Windows-only
issue; can someone with access to Windows check if this still happens?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#6372; Package emacs. Full text available.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.
Disconnected #6372 from all other report(s). Request was from Chong Yidong <cyd@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Forcibly Merged 6372 11772. Request was from Chong Yidong <cyd@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 7 Jun 2010 17:21:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 07 13:21:10 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1OLg0c-0001GJ-3f
	for submit <at> debbugs.gnu.org; Mon, 07 Jun 2010 13:21:10 -0400
Received: from mx10.gnu.org ([199.232.76.166])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <drew.adams@HIDDEN>) id 1OLg0a-0001GE-Fi
	for submit <at> debbugs.gnu.org; Mon, 07 Jun 2010 13:21:08 -0400
Received: from lists.gnu.org ([199.232.76.165]:41976)
	by monty-python.gnu.org with esmtps
	(TLS-1.0:DHE_RSA_AES_256_CBC_SHA1:32) (Exim 4.60)
	(envelope-from <drew.adams@HIDDEN>) id 1OLg0V-0000xa-KO
	for submit <at> debbugs.gnu.org; Mon, 07 Jun 2010 13:21:03 -0400
Received: from [140.186.70.92] (port=40458 helo=eggs.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.43) id 1OLg0U-0001wj-5l
	for bug-gnu-emacs@HIDDEN; Mon, 07 Jun 2010 13:21:03 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-4.2 required=5.0 tests=BAYES_00,RCVD_IN_DNSWL_MED,
	T_RP_MATCHES_RCVD, UNPARSEABLE_RELAY autolearn=unavailable version=3.3.1
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.69)
	(envelope-from <drew.adams@HIDDEN>) id 1OLg0S-0000Ao-Pt
	for bug-gnu-emacs@HIDDEN; Mon, 07 Jun 2010 13:21:02 -0400
Received: from rcsinet10.oracle.com ([148.87.113.121]:45808)
	by eggs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <drew.adams@HIDDEN>) id 1OLg0S-0000Aj-L0
	for bug-gnu-emacs@HIDDEN; Mon, 07 Jun 2010 13:21:00 -0400
Received: from acsinet15.oracle.com (acsinet15.oracle.com [141.146.126.227])
	by rcsinet10.oracle.com (Switch-3.4.2/Switch-3.4.1) with ESMTP id
	o57HKufY030084
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK)
	for <bug-gnu-emacs@HIDDEN>; Mon, 7 Jun 2010 17:20:57 GMT
Received: from acsmt354.oracle.com (acsmt354.oracle.com [141.146.40.154])
	by acsinet15.oracle.com (Switch-3.4.2/Switch-3.4.1) with ESMTP id
	o573kJpf027487
	for <bug-gnu-emacs@HIDDEN>; Mon, 7 Jun 2010 17:20:55 GMT
Received: from abhmt001.oracle.com by acsmt354.oracle.com
	with ESMTP id 303309821275931185; Mon, 07 Jun 2010 10:19:45 -0700
Received: from dradamslap1 (/130.35.178.194)
	by default (Oracle Beehive Gateway v4.0)
	with ESMTP ; Mon, 07 Jun 2010 10:19:44 -0700
From: "Drew Adams" <drew.adams@HIDDEN>
To: <bug-gnu-emacs@HIDDEN>
Subject: 24.0.50; C-mouse-1 activates region
Date: Mon, 7 Jun 2010 10:19:44 -0700
Message-ID: <B10C013621504F2293AC68C8CA31CA37@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
	charset="us-ascii"
Content-Transfer-Encoding: 7bit
X-Mailer: Microsoft Office Outlook 11
Thread-Index: AcsGZZ7+ADhW0AUvQTiEQle4qSeuAQ==
X-MimeOLE: Produced By Microsoft MimeOLE V6.00.2900.5931
X-Auth-Type: Internal IP
X-Source-IP: acsinet15.oracle.com [141.146.126.227]
X-CT-RefId: str=0001.0A090207.4C0D2A79.01C5:SCFMA922111,ss=1,fgs=0
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-detected-operating-system: by monty-python.gnu.org: GNU/Linux 2.6,
	seldom 2.4 (older, 4)
X-Spam-Score: -6.2 (------)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.2 (------)

emacs -Q
 
1. Click C-mouse-1. The Buffer Menu opens.
 
2. Click mouse-1 outside the menu. The menu disappears, which is
correct.
 
But the region is activated, which is incorrect.  Clicking mouse-1 here
should simply set point, without activating the region.
 

In GNU Emacs 24.0.50.1 (i386-mingw-nt5.1.2600)
 of 2010-05-23 on G41R2F1
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (3.4) --no-opt --cflags -Ic:/xpm/include'
 





Acknowledgement sent to "Drew Adams" <drew.adams@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6372; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 1 Jul 2016 04:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.